task ANNOVAR {

  File vcf
  String basename = basename(vcf,".vcf")
  File annovar_database
  String docker
  String cluster_config
  String disk_size

  command <<<
    set -o pipefail
    set -e
    nt=$(nproc)
    
    /installations/annovar/table_annovar.pl ${vcf} \
    ${annovar_database} -buildver hg19 \
    -out ${basename} -remove \
    -protocol refGene,cytoBand,genomicSuperDups,clinvar_20220320,intervar_20180118,cosmic95_coding,cosmic95_noncoding,avsnp150 \
    -operation g,r,r,f,f,f,f,f,f,f \
    -nastring . -vcfinput -polish -thread $nt
    # gnomad211_exome,dbnsfp42c,
  >>>
  
  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  
  output {
    File avinput = "${basename}.avinput"
    File multianno_txt = "${basename}.hg19_multianno.txt"
    File multianno_vcf = "${basename}.hg19_multianno.vcf"
  }
}